#include <windows.h>
#include "resource.h"
#include "afxres.h"

char Map[32][32];

int a;

struct
{
	char *comment;
	char cell;
} Lists[19][100];
HBITMAP ListImage[18];
int ListS[18];

HMENU menu;
POINT lp;

void ListsInit()
{
	int i;
	for (i=0;i<18;++i)
		ListS[i]=0;
	Lists[0][0].cell=0;
	Lists[0][0].comment="";
	Lists[1][0].cell=1;
	Lists[1][0].comment="";
	Lists[2][0].cell=2;
	Lists[2][0].comment="";
	ListS[0]=1;
	ListS[1]=1;
	ListS[2]=1;
	ListImage[0]=LoadBitmap(GetModuleHandle(NULL),MAKEINTRESOURCE(IDB_BITMAP3));
	ListImage[1]=LoadBitmap(GetModuleHandle(NULL),MAKEINTRESOURCE(IDB_BITMAP2));
	ListImage[2]=LoadBitmap(GetModuleHandle(NULL),MAKEINTRESOURCE(IDB_BITMAP1));
}

void MapInit()
{
	int i,j;
	for (i=0;i<32;++i)
		for (j=0;j<32;++j)
			Map[i][j]=0;
	Map[0][1]=1;
	Map[0][2]=2;
}


HBITMAP get_bmp(char cell)
{
     if (cell==1)
          return ListImage[1];
     return ListImage[0];
}




int CALLBACK AboutProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam) 
{
	if (uMsg==WM_CLOSE)
		EndDialog(hWnd,NULL);
	return FALSE;
}

int CALLBACK DlgProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam) 
{
	switch(uMsg)
	{
	case WM_CLOSE:
		EndDialog(hWnd,NULL);
		break;
	case WM_COMMAND:
		switch(wParam)
		{
		case ID_FILE_NEW:
			MessageBox(hWnd,"  =(","",NULL);
			break;



			case 10101:
			MessageBox(hWnd," ","2",NULL);
			break;
			case 10102:
			MessageBox(hWnd," ","3",NULL);
			break;




		case ID_FILE_CLOSE:
			EndDialog(hWnd,NULL);
			break;
		case ID_APP_ABOUT:
			DialogBox(NULL, MAKEINTRESOURCE(IDD_ABOUT), NULL, (DLGPROC)AboutProc);
			break;
		}
		break;
     case WM_PAINT:
          {
               PAINTSTRUCT ps;
               BeginPaint(hWnd,&ps);
               HDC dc=CreateCompatibleDC(ps.hdc);
               HBITMAP lastbmp;
               lastbmp=(HBITMAP)SelectObject(dc,ListImage[0]);
               int i,j;
               for (i=0;i<32;++i)
                    for (j=0;j<32;++j)
                    {
                         SelectObject(dc,get_bmp(Map[i][j]));
                         BitBlt(ps.hdc,350+i*16,20+j*16,16,16,dc,0,0,SRCCOPY);
                    }
               SelectObject(dc,lastbmp);
               DeleteDC(dc);
               EndPaint(hWnd,&ps);
          }
          return TRUE;
		return TRUE;
	case WM_MOUSEMOVE:
		if (wParam&MK_LBUTTON)
		{
			HDC dc=GetDC(hWnd);
			SetPixel(dc,LOWORD(lParam),HIWORD(lParam),0);
			ReleaseDC(hWnd,dc);
		}
		break;


case WM_RBUTTONUP:
GetCursorPos(&lp);
TrackPopupMenuEx(menu,TPM_HORIZONTAL,lp.x,lp.y,hWnd ,NULL);
break;





	}
	return FALSE;
}

int CALLBACK WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow)
{
	ListsInit();
	MapInit();
	menu=CreatePopupMenu();
	AppendMenu(menu,MF_STRING,(UINT_PTR)10101,"");
	AppendMenu(menu,MF_SEPARATOR,(UINT_PTR)10103,NULL);
	AppendMenu(menu,MF_STRING,(UINT_PTR)10102,"");

	DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG1), NULL, (DLGPROC)DlgProc);
	return 0;
}


